
function data()
return {
	info = {
		minorVersion = 0,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("Sdgnss T5"),
		description = _("info_sdgnss_t5_desc"),
		tags = { "Europe", "Wagon", },
		
		params = {
			{
				key = "sdgnssT5Fake",
				name = _("Fake"),
				values = { "No", "Yes", },
				tooltip = _("option_sdgnss_t5_1_desc"),
				defaultIndex = 0,
			},			
		},
		
		modid = "kaleut_sdgnss_t5_1",
		
		dependencies = { "kaleut_drehgestelle_1", "mknj_container_asset_set_1" },
		
		requiredMods = {
				{ 
					modId= "kaleut_drehgestelle_1", -- optional, modid
					steamId = 1956333378, -- optional, steam workshop id 
					tfnetId = 5040, -- optional, id der Webdisk auf transportfever.net
					url = "https://modwerkstatt.com/downloads/gueterwagen-drehgestelle-tpf2/", -- optional, url zum Download der Mod
					minMinorVersion = 0 -- optional, minimale minorVersion
				},
				{ 
					modId= "mknj_container_asset_set_1", -- optional, modid
					steamId = 1936342398, -- optional, steam workshop id 
					tfnetId = 4849, -- optional, id der Webdisk auf transportfever.net
					url = "https://www.transportfever.net/filebase/index.php?entry/4849-cargo-asset-set/", -- optional, url zum Download der Mod
					minMinorVersion = 3 -- optional, minimale minorVersion
				}, 
			},
		
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},		
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 0,                 															-- optional, transportfever.net id
		steamId = 0,             															-- optional, steam workshop id
		url = "a", 	-- optional, URL zur Webseite des Mods
		visible = true
	},
	
	runFn = function(settings, modParams)
		
		local hidden = {				
				["container_1_40_1.mdl"] = true,
				["container_1_40_2.mdl"] = true,
				["container_1_40_3.mdl"] = true,
				["container_1_40_4.mdl"] = true,
				["container_1_40_5.mdl"] = true,	
				["container_1_40_6.mdl"] = true,	
				["container_1_40_7.mdl"] = true,	
				["container_1_40_8.mdl"] = true,	
				["container_1_40_9.mdl"] = true,	
				["container_1_40_10.mdl"] = true,
				["container_2_20_1.mdl"] = true,
				["container_2_20_2.mdl"] = true,
				["container_2_20_3.mdl"] = true,
				["container_2_20_4.mdl"] = true,
				["container_2_20_5.mdl"] = true,	
				["container_2_20_6.mdl"] = true,	
				["container_2_20_7.mdl"] = true,	
				["container_2_20_8.mdl"] = true,	
				["container_2_20_9.mdl"] = true,	
				["container_2_20_10.mdl"] = true,
				["container_2_20_11.mdl"] = true,	
				["lkw_1.mdl"] = true,
				["lkw_2.mdl"] = true,
				["lkw_3.mdl"] = true,
				["lkw_4.mdl"] = true,
				["lkw_5.mdl"] = true,
				["lkw_6.mdl"] = true,
				["lkw_7.mdl"] = true,
				["lkw_8.mdl"] = true,
			}
		
		local modelFilter = function(fileName, data)				
				local modelName = fileName:match('/sdgnss_t5_hupac_fake_([^/]*.mdl)')
								or fileName:match('/sdgnss_t5_wasco_fake_([^/]*.mdl)')		
				return (modelName==nil or hidden[modelName]~=true)				
			end  
		
		if modParams[getCurrentModId()] ~= nil then
			local params = modParams[getCurrentModId()]					
			if params["sdgnssT5Fake"] == 0 then
				addFileFilter("model/vehicle", modelFilter)		
			end
		else
			addFileFilter("model/vehicle", modelFilter)	
		end			
	end
}
end
